Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84282 - ip command-line option -> network doesn't work
Summary: ip command-line option -> network doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 22:53 UTC by Matthew Miller
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-25 14:52:42 UTC


Attachments (Terms of Use)

Description Matthew Miller 2003-02-13 22:53:40 UTC
This one is driving me crazy.

If I use "linux method=ftp://myserver/mypath ip=128.197.20.226
netmask=255.255.255.0 gateway=128.197.20.1 dns=128.197.27.7" as my boot
parameters, anaconda ought to happily take all this and properly configure the
network.

(Note to Jeremy Katz -- this is independent of my wish to be able to just
specify dns without ip. *grin*)

Instead, it goes to reverse-lookup the name and fails, because the network isn't
there. On vt 4, I see: "loader: failed to set up default route: Network is
unreachable".

I tried to debug this a bit, but I'm stumped. If I change
setupNetworkDeviceConfig to not set cfg->preset to 1, the newt form comes up
with all the info I gave properly filled out, and *everything works perfectly
when I say okay*. 

As far as I can tell, the only non-newt-gui difference between the two code
paths is that fillInIpInfo gets called in the second case but not the first. I
thought -- hmm, maybe broadcast isn't getting set. But I added a call to
fillInIpInfo(cfg) right after "doing kickstart... setting it up", and it doesn't
fix things.

So I'm missing something here. But what?

Comment 1 Michael Fulbright 2003-02-14 22:33:17 UTC
This is related to bug 82748 - looking into it now.


Comment 2 Michael Fulbright 2003-02-14 22:48:02 UTC
Fixed.

Comment 3 Brent Fox 2003-05-25 14:52:42 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.